using System;
using System.Diagnostics;

namespace PrikladyZive73
{
    public class TraceSwitches
    {
        private BooleanSwitch firstSwitch;
        private TraceSwitch secondSwitch;

        public TraceSwitches()
        {
            //vytvoreni instance, ktera je konfigurovana pod jmenem first
            firstSwitch = new BooleanSwitch("first", "Nejaky popis");
            //vytvoreni instance, ktera je konfigurovana pod jmenem second
            secondSwitch = new TraceSwitch("second", "Nejaky popis");
        }

        public void DoSomething()
        {
            TextWriterTraceListener consoleListener = new TextWriterTraceListener(Console.Out);
            Trace.Listeners.Add(consoleListener);
            //zprava bude zapsana pouze pokud je prvni prepinac aktivni
            Trace.WriteLineIf(firstSwitch.Enabled, "Prvni trasovaci zprava..");

            //zprava bude zapsana pouze pokud je prepinac aktivni na urovni Error nebo vyssi 
            Trace.WriteLineIf(secondSwitch.TraceError, "Zprava o chybe..");
            //zprava bude zapsana pouze pokud je prepinac zapnuty na urovni Warning nebo vyssi
            Trace.WriteLineIf(secondSwitch.TraceWarning, "Varovani..");
            //zprava bude zapsana pouze pokud je prepinac zapnuty na urovni Info nebo vyssi
            Trace.WriteLineIf(secondSwitch.TraceInfo, "Nejaka informace..");
            //zprava bude zapsana pouze pokud je prepinac zapnuty na urovni Verbose 
            Trace.WriteLineIf(secondSwitch.TraceVerbose, "Nejaka trasovaci zprava..");
        }
    }
}
